MCP Tools Reference: slidesmcp.googleapis.com

Tool: read_presentation

Read a JSON representation of a Google Slides presentation.

Corresponds to presentations.get in the REST API.

The following sample demonstrate how to use curl to invoke the read_presentation MCP tool.

Curl Request
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request to read a presentation.

ReadPresentationRequest

JSON representation
{
  "presentationId": string
}
Fields
presentationId

string

Required. The ID of the presentation to read content from.

Output Schema

Response containing the JSON representation of the presentation.

ReadPresentationResponse

JSON representation
{
  "content": string
}
Fields
content

string

A JSON representation of a Google Slides presentation.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ✅